package com.ssj.bean.weixin.libmy.domain;

import java.math.BigDecimal;
import java.util.Date;

import javax.persistence.Entity;
import javax.persistence.Table;

import com.ssj.bean.common.framework.core.domain.BaseEntity;


@Entity
@Table(name="tb_lib_user_wallet")
public class UserBalanceCharge extends BaseEntity {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	
	/**
	 * user_id varchar(36) not null,
	change_msg varchar(100) not null,
	change_sum decimal not null,
	now_balance decimal not null,
	create_time datetime not null,
	 */
	
	private String userId;  //userId
	private String changeMsg; //变动内容
	private BigDecimal changeSum;//变动金额
	private BigDecimal nowBalance;//当时的余额
	private Date createTime;//变动时间
	public String getUserId() {
		return userId;
	}
	public void setUserId(String userId) {
		this.userId = userId;
	}
	public String getChangeMsg() {
		return changeMsg;
	}
	public void setChangeMsg(String changeMsg) {
		this.changeMsg = changeMsg;
	}
	public BigDecimal getChangeSum() {
		return changeSum;
	}
	public void setChangeSum(BigDecimal changeSum) {
		this.changeSum = changeSum;
	}
	public BigDecimal getNowBalance() {
		return nowBalance;
	}
	public void setNowBalance(BigDecimal nowBalance) {
		this.nowBalance = nowBalance;
	}
	public Date getCreateTime() {
		return createTime;
	}
	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}
	
	
}
